Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo
Interface JDOEntityManager

All Superinterfaces:
  javax.persistence.EntityManager, PersistenceManager

    public interface JDOEntityManager

extends javax.persistence.EntityManager, PersistenceManager

Method Summary
`JDOEntityManagerFactory` | `getPersistenceManagerFactory()` This method returns the `JDOEntityManagerFactory` used to create this `JDOEntityManager`.

Methods inherited from interface javax.persistence.EntityManager
`clear, close, contains, createNamedQuery, createNativeQuery, createNativeQuery, createNativeQuery, createQuery, find, flush, getDelegate, getFlushMode, getReference, getTransaction, isOpen, joinTransaction, lock, merge, persist, refresh, remove, setFlushMode`

Methods inherited from interface javax.jdo.PersistenceManager
`addInstanceLifecycleListener, checkConsistency, close, currentTransaction, deletePersistent, deletePersistentAll, deletePersistentAll, detachCopy, detachCopyAll, detachCopyAll, evict, evictAll, evictAll, evictAll, evictAll, flush, getCopyOnAttach, getDataStoreConnection, getDatastoreReadTimeoutMillis, getDatastoreWriteTimeoutMillis, getDetachAllOnCommit, getExtent, getExtent, getFetchGroup, getFetchPlan, getIgnoreCache, getManagedObjects, getManagedObjects, getManagedObjects, getManagedObjects, getMultithreaded, getObjectById, getObjectById, getObjectById, getObjectId, getObjectIdClass, getObjectsById, getObjectsById, getObjectsById, getObjectsById, getObjectsById, getSequence, getServerDate, getTransactionalObjectId, getUserObject, getUserObject, isClosed, makeNontransactional, makeNontransactionalAll, makeNontransactionalAll, makePersistent, makePersistentAll, makePersistentAll, makeTransactional, makeTransactionalAll, makeTransactionalAll, makeTransient, makeTransient, makeTransientAll, makeTransientAll, makeTransientAll, makeTransientAll, makeTransientAll, newInstance, newNamedQuery, newObjectIdInstance, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, newQuery, putUserObject, refresh, refreshAll, refreshAll, refreshAll, refreshAll, removeInstanceLifecycleListener, removeUserObject, retrieve, retrieve, retrieveAll, retrieveAll, retrieveAll, retrieveAll, retrieveAll, setCopyOnAttach, setDatastoreReadTimeoutMillis, setDatastoreWriteTimeoutMillis, setDetachAllOnCommit, setIgnoreCache, setMultithreaded, setUserObject`

Method Detail

### getPersistenceManagerFactory

    JDOEntityManagerFactory getPersistenceManagerFactory()

  This method returns the `JDOEntityManagerFactory` used to create this `JDOEntityManager`. It overrides the getPersistenceManagerFactory method in PersistenceManager.

  Specified by:
    `getPersistenceManagerFactory` in interface `PersistenceManager`
  Returns:
    the `JDOEntityManagerFactory` that created this `JDOEntityManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.